<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       bwap.ch
 * @since      1.0.0
 *
 * @package    Publimmo_Queue
 * @subpackage Publimmo_Queue/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <h1 class="wp-heading-inline">Queue</h1>

    <table class="wp-list-table widefat fixed striped users">
        <thead>
            <tr>
                <th width="150"><?= __('Etat', 'queue') ?></th>
                <th width="150"><?= __('Date de création', 'queue') ?></th>
                <th width="150"><?= __('Date d\'envoi', 'queue') ?></th>
                <th width="150"><?= __('Type', 'queue') ?></th>
                <th width="150"><?= __('Essais', 'queue') ?></th>
                <th><?= __('Message', 'queue') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($this->entries as $entry) {
                ?>
                <tr>
                    <td>
                        <?= $entry->done == 1 ? 'Done' : 'Pending' ?>
                    </td>
                    <td>
                        <?= $entry->time ?>
                    </td>
                    <td>
                        <?= $entry->time_sent ?>
                    </td>
                    <td>
                        <?= $entry->message_key ?>
                    </td>
                    <td>
                        <?= $entry->retries ?>
                    </td>
                    <td>
                        <?= htmlentities($entry->message_value) ?>
                    </td>
                </tr>
                <?php
            }
            ?>
        </tbody>
    </table>
</div>
