<?php

/**
 * Fired during plugin activation
 *
 * @link       bwap.ch
 * @since      1.0.0
 *
 * @package    Publimmo_Queue
 * @subpackage Publimmo_Queue/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Publimmo_Queue
 * @subpackage Publimmo_Queue/includes
 * @author     Alan Pilloud <alan@bwap.ch>
 */
class Publimmo_Queue_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

            global $wpdb;
            $charset_collate = $wpdb->get_charset_collate();
            $table_name = $wpdb->prefix . 'queue';

            $sql = 
            "CREATE TABLE $table_name (
                id int(11) NOT NULL AUTO_INCREMENT,
                done int(1) DEFAULT 0 NOT NULL,
                retries int(3) DEFAULT 0 NOT NULL,
                time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
                time_sent datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
                message_key varchar(255) NOT NULL,
                message_value text NOT NULL,
                UNIQUE KEY id (id)
            ) $charset_collate;";

            require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
            dbDelta( $sql );

            // Register cron event
            if (!wp_next_scheduled ( 'do_queue' )) {
                wp_schedule_event(time(), '5min', 'do_queue');
            }
	}

}
