<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       bwap.ch
 * @since      1.0.0
 *
 * @package    Publimmo_Queue
 * @subpackage Publimmo_Queue/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Publimmo_Queue
 * @subpackage Publimmo_Queue/includes
 * @author     Alan Pilloud <alan@bwap.ch>
 */
class Publimmo_Queue_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'publimmo-queue',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
